%define WIP 1

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	data recovery utility
Name:      	testdisk	
Version:   	6.12
Release:   	2
Provides:  	testdisk
License : 	GPL
Url:		http://www.cgsecurity.org/wiki/TestDisk
Group:     	System/Rescue 
Source0: 	%{name}-%{version}%{?WIP:-WIP}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  ntfsprogs-devel
BuildRequires:  progsreiserfs-devel
BuildRequires:  libjpeg-devel 

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
TestDisk is a powerful free data recovery utility! It was primarily designed to help recover lost partitions and/or make non-booting disks bootable again when these symptoms are caused by faulty software, certain types of viruses or human error (such as accidentally erasing your Partition Table)

TestDisk can find lost partitions for all of these file systems: 
BeFS ( BeOS ) 
BSD disklabel ( FreeBSD/OpenBSD/NetBSD ) 
CramFS, Compressed File System 
DOS/Windows FAT12, FAT16 and FAT32 
HFS and HFS+, Hierarchical File System 
JFS, IBM's Journaled File System 
Linux Ext2 and Ext3 
Linux Raid 
RAID 1: mirroring 
RAID 4: striped array with parity device 
RAID 5: striped array with distributed parity information 
RAID 6: striped array with distributed dual redundancy information 
Linux Swap (versions 1 and 2) 
LVM and LVM2, Linux Logical Volume Manager 
Mac partition map 
Novell Storage Services NSS 
NTFS ( Windows NT/2K/XP/2003 ) 
ReiserFS 3.5, 3.6 and 4 
Sun Solaris i386 disklabel 
Unix File System UFS and UFS2 (Sun/BSD/...) 
XFS, SGI's Journaled File System 


%package -n photorec
Summary:        data recovery software
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description -n photorec
PhotoRec is file data recovery software designed to recover lost pictures (Photo Recovery) from digital camera memory and lost files including video, documents and archives from Hard Disks and CDRom. PhotoRec ignores the filesystem and goes after the underlying data, so it'll work even if your media's filesystem is severely damaged or formatted. PhotoRec is safe to use, it will never attempt to write to the drive or memory support you are about to recover from. Recovered files are instead written in the directory from where you are running the PhotoRec program.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}%{?WIP:-WIP}

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug 
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_sbindir/testdisk
%_sbindir/fidentify
%_mandir/man8/testdisk.8.gz
%_datadir/doc

%files -n photorec
%defattr(-,root,root)
%_sbindir/photorec
%_mandir/man8/photorec.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.10-2
- rebuilt against libjpeg 7
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.10-1
- Version update
* Thu Feb 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.9-1
- Version update
- reenabled ntfs support
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.8-1
- Version update
- temporarily disabled ntfs support
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6-1
- Version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.5-1
- Version update
* Thu Aug 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.4.1-1
- Initial Release
